summaryrefslogtreecommitdiff
path: root/doc/codewalk/run
diff options
context:
space:
mode:
Diffstat (limited to 'doc/codewalk/run')
-rwxr-xr-xdoc/codewalk/run21
1 files changed, 21 insertions, 0 deletions
diff --git a/doc/codewalk/run b/doc/codewalk/run
new file mode 100755
index 000000000..afc64c1f9
--- /dev/null
+++ b/doc/codewalk/run
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+# Copyright 2013 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+
+function fail {
+ echo FAIL: doc/codewalk/$1
+ exit 1
+}
+
+# markov.xml
+echo foo | go run markov.go | grep foo > /dev/null || fail markov
+
+# functions.xml
+go run pig.go | grep 'Wins, losses staying at k = 100: 210/990 (21.2%), 780/990 (78.8%)' > /dev/null || fail pig
+
+# sharemem.xml: only build the example, as it uses the network
+go build urlpoll.go || fail urlpoll
+rm -f urlpoll